Subject: Re: 1.5.13:Is it difficult to make cygwin recycle pids when create new process?
From: "David Dindorp" <[email-masked]>
To: "Merlin Ran" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 1 Apr 2005 09:13:10 +0200

Merlin Ran wrote:
> Corinna Vinschen wrote:
>> Doesn't http://www.cygwin.com/ml/cygwin/2003-10/msg00169.html explain
>> it?
>> 
> No. I learned why using two pids from the post, but it still doesn't
> explain why winpid is always increasing.

It's probably a blessing for shells like 'bash' that it *does not*
reuse pids though.

> Since every process is created by CreateProcess() ultimately, why
> doesn't it behave alike native windows process, which reuse the pid of
> previously exited process? After consult msdn online, I haven't found
> any parameters which can affect the selection of new process's pid.

Good question.
No clue :-).

> I'm trying to build binutils 2.15:
[snip]
> After that whole OS become unstable. I've googled out that I am not
> the only with such problems, but I didn't find solution :( Could
> anyone help me?

No expert here, just guessing.  But try a reboot and run 'make' again.
Doesn't it then start compiling files where it last left off?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/